# Class CIM_AuthorizedPrivilege
extends CIM_Privilege

Privilege is the base class for all types of activities which are granted or denied to a Role or an Identity. AuthorizedPrivilege is a subclass defining static renderings of authorization policy rules. The association of Roles and Identities to AuthorizedPrivilege is accomplished using the AuthorizedSubject relationship. The entities that are protected are defined using the AuthorizedTarget relationship. Note that this class and its AuthorizedSubject/Target associations provide a short-hand, static mechanism to represent authorization policies.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Privilege
|
+--CIM_AuthorizedPrivilege

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Privilege is the base class for all types of activities which are granted or denied to a Role or an Identity. AuthorizedPrivilege is a subclass defining static renderings of authorization policy rules. The association of Roles and Identities to AuthorizedPrivilege is accomplished using the AuthorizedSubject relationship. The entities that are protected are defined using the AuthorizedTarget relationship. Note that this class and its AuthorizedSubject/Target associations provide a short-hand, static mechanism to represent authorization policies.

UMLPackagePath | string | CIM::User::Privilege
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_Privilege
PrivilegeGranted | boolean | CIM_Privilege
RepresentsAuthorizationRights | boolean | CIM_Privilege
Activities | uint16[] | CIM_Privilege
ActivityQualifiers | string[] | CIM_Privilege
QualifierFormats | uint16[] | CIM_Privilege

## Class Methods